## Get Directory `DirectoryGetResponse beta().directories().get(DirectoryGetParamsparams = DirectoryGetParams.none(), RequestOptionsrequestOptions = RequestOptions.none())` **get** `/api/v1/beta/directories/{directory_id}` Retrieve a directory by its identifier. ### Parameters - `DirectoryGetParams params` - `Optional directoryId` - `Optional organizationId` - `Optional projectId` ### Returns - `class DirectoryGetResponse:` API response schema for a directory. - `String id` Unique identifier for the directory. - `String name` Human-readable name for the directory. - `String projectId` Project the directory belongs to. - `Optional createdAt` Creation datetime - `Optional deletedAt` Optional timestamp of when the directory was deleted. Null if not deleted. - `Optional description` Optional description shown to users. - `Optional expiresAt` When this directory expires and is eligible for cleanup. - `Optional systemMetadata` Reserved system-managed metadata. - `Optional type` Directory type: 'user', 'index', 'ephemeral', or 'system_ephemeral'. - `USER("user")` - `INDEX("index")` - `EPHEMERAL("ephemeral")` - `SYSTEM_EPHEMERAL("system_ephemeral")` - `Optional updatedAt` Update datetime ### Example ```java package com.llamacloud_prod.api.example; import com.llamacloud_prod.api.client.LlamaCloudClient; import com.llamacloud_prod.api.client.okhttp.LlamaCloudOkHttpClient; import com.llamacloud_prod.api.models.beta.directories.DirectoryGetParams; import com.llamacloud_prod.api.models.beta.directories.DirectoryGetResponse; public final class Main { private Main() {} public static void main(String[] args) { LlamaCloudClient client = LlamaCloudOkHttpClient.fromEnv(); DirectoryGetResponse directory = client.beta().directories().get("directory_id"); } } ``` #### Response ```json { "id": "id", "name": "x", "project_id": "project_id", "created_at": "2019-12-27T18:11:19.117Z", "deleted_at": "2019-12-27T18:11:19.117Z", "description": "description", "expires_at": "2019-12-27T18:11:19.117Z", "system_metadata": { "foo": "bar" }, "type": "user", "updated_at": "2019-12-27T18:11:19.117Z" } ```